Package com.enonic.xp.app

## Interface ApplicationInfoService

-     @PublicApi
      public interface ApplicationInfoService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ApplicationInfo` | `getApplicationInfo​(ApplicationKey applicationKey)` |
    `Contents` | `getContentReferences​(ApplicationKey applicationKey)` |
    `ContentTypes` | `getContentTypes​(ApplicationKey applicationKey)` |
    `IdProviderDescriptor` | `getIdProviderDescriptor​(ApplicationKey applicationKey)` |
    `IdProviders` | `getIdProviderReferences​(ApplicationKey applicationKey)` |
    `LayoutDescriptors` | `getLayoutDescriptors​(ApplicationKey applicationKey)` |
    `MacroDescriptors` | `getMacroDescriptors​(ApplicationKey applicationKey)` |
    `PageDescriptors` | `getPageDescriptors​(ApplicationKey applicationKey)` |
    `PartDescriptors` | `getPartDescriptors​(ApplicationKey applicationKey)` |
    `RelationshipTypes` | `getRelationshipTypes​(ApplicationKey applicationKey)` |
    `Descriptors<TaskDescriptor>` | `getTaskDescriptors​(ApplicationKey applicationKey)` |

- - ### Method Detail

    - #### getContentTypes

          ContentTypes getContentTypes​(ApplicationKey applicationKey)

    - #### getPageDescriptors

          PageDescriptors getPageDescriptors​(ApplicationKey applicationKey)

    - #### getPartDescriptors

          PartDescriptors getPartDescriptors​(ApplicationKey applicationKey)

    - #### getLayoutDescriptors

          LayoutDescriptors getLayoutDescriptors​(ApplicationKey applicationKey)

    - #### getRelationshipTypes

          RelationshipTypes getRelationshipTypes​(ApplicationKey applicationKey)

    - #### getMacroDescriptors

          MacroDescriptors getMacroDescriptors​(ApplicationKey applicationKey)

    - #### getTaskDescriptors

          Descriptors<TaskDescriptor> getTaskDescriptors​(ApplicationKey applicationKey)

    - #### getContentReferences

          Contents getContentReferences​(ApplicationKey applicationKey)

    - #### getIdProviderReferences

          IdProviders getIdProviderReferences​(ApplicationKey applicationKey)

    - #### getIdProviderDescriptor

          IdProviderDescriptor getIdProviderDescriptor​(ApplicationKey applicationKey)

    - #### getApplicationInfo

          ApplicationInfo getApplicationInfo​(ApplicationKey applicationKey)